summaryrefslogtreecommitdiffstats
path: root/cpp/sca/modules/http/http-test
diff options
context:
space:
mode:
authorjsdelfino <jsdelfino@13f79535-47bb-0310-9956-ffa450edef68>2009-10-26 05:13:21 +0000
committerjsdelfino <jsdelfino@13f79535-47bb-0310-9956-ffa450edef68>2009-10-26 05:13:21 +0000
commit965e129717da78c4ac56531200631836b74758f4 (patch)
treeede32dd54b9ff3aedd4f56dc7b1057b3715f82d5 /cpp/sca/modules/http/http-test
parentf61164c77c5c21a32b58ad61c868bd8ff6a4a79e (diff)
Added test cases to make check build target. Changed store-script to interop with java store sample. Added reference support to http module.
git-svn-id: http://svn.us.apache.org/repos/asf/tuscany@829700 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to '')
-rwxr-xr-xcpp/sca/modules/http/http-test34
1 files changed, 34 insertions, 0 deletions
diff --git a/cpp/sca/modules/http/http-test b/cpp/sca/modules/http/http-test
new file mode 100755
index 0000000000..b0dd21cbd1
--- /dev/null
+++ b/cpp/sca/modules/http/http-test
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+mkdir -p tmp
+mkdir -p tmp/conf
+cp test-conf/* tmp/conf
+cat >tmp/conf/httpd.conf <<EOF
+ServerName 127.0.0.1
+Listen 9091
+DocumentRoot `pwd`/test-htdocs
+EOF
+mkdir -p tmp/logs
+apachectl -k start -d `pwd`/tmp
+sleep 1
+./curl-test
+rc=$?
+apachectl -k stop -d `pwd`/tmp
+return $rc